io.etcd.jetcd.api

## Class MemberUpdateRequest.Builder

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite.Builder
  - - com.google.protobuf.AbstractMessage.Builder<BuilderType>
    - - com.google.protobuf.GeneratedMessageV3.Builder<MemberUpdateRequest.Builder>
      - - io.etcd.jetcd.api.MemberUpdateRequest.Builder

All Implemented Interfaces:
  com.google.protobuf.Message.Builder, com.google.protobuf.MessageLite.Builder, com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder, MemberUpdateRequestOrBuilder, Cloneable

Enclosing class:
  MemberUpdateRequest

    public static final class MemberUpdateRequest.Builder
    extends com.google.protobuf.GeneratedMessageV3.Builder<MemberUpdateRequest.Builder>
    implements MemberUpdateRequestOrBuilder

Protobuf type `etcdserverpb.MemberUpdateRequest`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`MemberUpdateRequest.Builder` `addAllPeerURLs(Iterable<String> values)` peerURLs is the new list of URLs the member will use to communicate with the cluster.
`MemberUpdateRequest.Builder` `addPeerURLs(String value)` peerURLs is the new list of URLs the member will use to communicate with the cluster.
`MemberUpdateRequest.Builder` `addPeerURLsBytes(com.google.protobuf.ByteString value)` peerURLs is the new list of URLs the member will use to communicate with the cluster.
`MemberUpdateRequest.Builder` `addRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`MemberUpdateRequest` `build()`
`MemberUpdateRequest` `buildPartial()`
`MemberUpdateRequest.Builder` `clear()`
`MemberUpdateRequest.Builder` `clearField(com.google.protobuf.Descriptors.FieldDescriptor field)`
`MemberUpdateRequest.Builder` `clearID()` ID is the member ID of the member to update.
`MemberUpdateRequest.Builder` `clearOneof(com.google.protobuf.Descriptors.OneofDescriptor oneof)`
`MemberUpdateRequest.Builder` `clearPeerURLs()` peerURLs is the new list of URLs the member will use to communicate with the cluster.
`MemberUpdateRequest.Builder` `clone()`
`MemberUpdateRequest` `getDefaultInstanceForType()`
`static com.google.protobuf.Descriptors.Descriptor` `getDescriptor()`
`com.google.protobuf.Descriptors.Descriptor` `getDescriptorForType()`
`long` `getID()` ID is the member ID of the member to update.
`String` `getPeerURLs(int index)` peerURLs is the new list of URLs the member will use to communicate with the cluster.
`com.google.protobuf.ByteString` `getPeerURLsBytes(int index)` peerURLs is the new list of URLs the member will use to communicate with the cluster.
`int` `getPeerURLsCount()` peerURLs is the new list of URLs the member will use to communicate with the cluster.
`com.google.protobuf.ProtocolStringList` `getPeerURLsList()` peerURLs is the new list of URLs the member will use to communicate with the cluster.
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internalGetFieldAccessorTable()`
`boolean` `isInitialized()`
`MemberUpdateRequest.Builder` `mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`MemberUpdateRequest.Builder` `mergeFrom(MemberUpdateRequest other)`
`MemberUpdateRequest.Builder` `mergeFrom(com.google.protobuf.Message other)`
`MemberUpdateRequest.Builder` `mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`
`MemberUpdateRequest.Builder` `setField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`MemberUpdateRequest.Builder` `setID(long value)` ID is the member ID of the member to update.
`MemberUpdateRequest.Builder` `setPeerURLs(int index, String value)` peerURLs is the new list of URLs the member will use to communicate with the cluster.
`MemberUpdateRequest.Builder` `setRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)`
`MemberUpdateRequest.Builder` `setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof, internalGetMapField, internalGetMutableMapField, isClean, markClean, newBuilderForField, onBuilt, onChanged, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Method Detail

#### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

#### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<MemberUpdateRequest.Builder>`

#### clear

    public MemberUpdateRequest.Builder clear()

Specified by:
  `clear` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clear` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<MemberUpdateRequest.Builder>`

#### getDescriptorForType

    public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<MemberUpdateRequest.Builder>`

#### getDefaultInstanceForType

    public MemberUpdateRequest getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

#### build

    public MemberUpdateRequest build()

Specified by:
  `build` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `build` in interface `com.google.protobuf.MessageLite.Builder`

#### buildPartial

    public MemberUpdateRequest buildPartial()

Specified by:
  `buildPartial` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

#### clone

    public MemberUpdateRequest.Builder clone()

Specified by:
  `clone` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clone` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clone` in class `com.google.protobuf.GeneratedMessageV3.Builder<MemberUpdateRequest.Builder>`

#### setField

    public MemberUpdateRequest.Builder setField(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                Object value)

Specified by:
  `setField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setField` in class `com.google.protobuf.GeneratedMessageV3.Builder<MemberUpdateRequest.Builder>`

#### clearField

    public MemberUpdateRequest.Builder clearField(com.google.protobuf.Descriptors.FieldDescriptor field)

Specified by:
  `clearField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearField` in class `com.google.protobuf.GeneratedMessageV3.Builder<MemberUpdateRequest.Builder>`

#### clearOneof

    public MemberUpdateRequest.Builder clearOneof(com.google.protobuf.Descriptors.OneofDescriptor oneof)

Specified by:
  `clearOneof` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearOneof` in class `com.google.protobuf.GeneratedMessageV3.Builder<MemberUpdateRequest.Builder>`

#### setRepeatedField

    public MemberUpdateRequest.Builder setRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                        int index,
                                                        Object value)

Specified by:
  `setRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<MemberUpdateRequest.Builder>`

#### addRepeatedField

    public MemberUpdateRequest.Builder addRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                        Object value)

Specified by:
  `addRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `addRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<MemberUpdateRequest.Builder>`

#### mergeFrom

    public MemberUpdateRequest.Builder mergeFrom(com.google.protobuf.Message other)

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<MemberUpdateRequest.Builder>`

#### mergeFrom

    public MemberUpdateRequest.Builder mergeFrom(MemberUpdateRequest other)

#### isInitialized

    public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<MemberUpdateRequest.Builder>`

#### mergeFrom

    public MemberUpdateRequest.Builder mergeFrom(com.google.protobuf.CodedInputStream input,
                                                 com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                          throws IOException

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<MemberUpdateRequest.Builder>`
Throws:
  `IOException`

#### getID

    public long getID()

     ID is the member ID of the member to update.

`uint64 ID = 1;`

Specified by:
  `getID` in interface `MemberUpdateRequestOrBuilder`
Returns:
  The iD.

#### setID

    public MemberUpdateRequest.Builder setID(long value)

     ID is the member ID of the member to update.

`uint64 ID = 1;`

Parameters:
  `value` - The iD to set.
Returns:
  This builder for chaining.

#### clearID

    public MemberUpdateRequest.Builder clearID()

     ID is the member ID of the member to update.

`uint64 ID = 1;`

Returns:
  This builder for chaining.

#### getPeerURLsList

    public com.google.protobuf.ProtocolStringList getPeerURLsList()

     peerURLs is the new list of URLs the member will use to communicate with the cluster.

`repeated string peerURLs = 2;`

Specified by:
  `getPeerURLsList` in interface `MemberUpdateRequestOrBuilder`
Returns:
  A list containing the peerURLs.

#### getPeerURLsCount

    public int getPeerURLsCount()

     peerURLs is the new list of URLs the member will use to communicate with the cluster.

`repeated string peerURLs = 2;`

Specified by:
  `getPeerURLsCount` in interface `MemberUpdateRequestOrBuilder`
Returns:
  The count of peerURLs.

#### getPeerURLs

    public String getPeerURLs(int index)

     peerURLs is the new list of URLs the member will use to communicate with the cluster.

`repeated string peerURLs = 2;`

Specified by:
  `getPeerURLs` in interface `MemberUpdateRequestOrBuilder`
Parameters:
  `index` - The index of the element to return.
Returns:
  The peerURLs at the given index.

#### getPeerURLsBytes

    public com.google.protobuf.ByteString getPeerURLsBytes(int index)

     peerURLs is the new list of URLs the member will use to communicate with the cluster.

`repeated string peerURLs = 2;`

Specified by:
  `getPeerURLsBytes` in interface `MemberUpdateRequestOrBuilder`
Parameters:
  `index` - The index of the value to return.
Returns:
  The bytes of the peerURLs at the given index.

#### setPeerURLs

    public MemberUpdateRequest.Builder setPeerURLs(int index,
                                                   String value)

     peerURLs is the new list of URLs the member will use to communicate with the cluster.

`repeated string peerURLs = 2;`

Parameters:
  `index` - The index to set the value at.
  `value` - The peerURLs to set.
Returns:
  This builder for chaining.

#### addPeerURLs

    public MemberUpdateRequest.Builder addPeerURLs(String value)

     peerURLs is the new list of URLs the member will use to communicate with the cluster.

`repeated string peerURLs = 2;`

Parameters:
  `value` - The peerURLs to add.
Returns:
  This builder for chaining.

#### addAllPeerURLs

    public MemberUpdateRequest.Builder addAllPeerURLs(Iterable<String> values)

     peerURLs is the new list of URLs the member will use to communicate with the cluster.

`repeated string peerURLs = 2;`

Parameters:
  `values` - The peerURLs to add.
Returns:
  This builder for chaining.

#### clearPeerURLs

    public MemberUpdateRequest.Builder clearPeerURLs()

     peerURLs is the new list of URLs the member will use to communicate with the cluster.

`repeated string peerURLs = 2;`

Returns:
  This builder for chaining.

#### addPeerURLsBytes

    public MemberUpdateRequest.Builder addPeerURLsBytes(com.google.protobuf.ByteString value)

     peerURLs is the new list of URLs the member will use to communicate with the cluster.

`repeated string peerURLs = 2;`

Parameters:
  `value` - The bytes of the peerURLs to add.
Returns:
  This builder for chaining.

#### setUnknownFields

    public final MemberUpdateRequest.Builder setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<MemberUpdateRequest.Builder>`

#### mergeUnknownFields

    public final MemberUpdateRequest.Builder mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<MemberUpdateRequest.Builder>`